install xampp on fedora 13 -64 bit(please help me)

Problems with the Linux version of XAMPP, questions, comments, and anything related.

install xampp on fedora 13 -64 bit(please help me)

Postby hossxampp » 24. June 2010 19:59

i want install xampp on fedora 13 64 bit,please help me step by step

i find this:
sudo /opt/lampp/lampp startapache
XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system.

The message is very clear that XAMPP doesn’t like 32-bit system. So, we will need to cheat XAMPP that the system is 32-bit. First, we will need to install some libraries:

yum -y install glibc.i686
yum -y install libgcc.i686
yum -y install libstdc++.i686

and now, we need to skip the 32-bit annoying check:

sudo nano /opt/lampp/lampp

Replace the following from:

# XAMPP is currently 32 bit only
case `uname -m` in
*_64)
if /opt/lampp/bin/php -v > /dev/null 2>&1
then
:
else
$de && echo "XAMPP gibt es zur Zeit nur als 32-Bit Applikation. Bitte verwende eine 32-Bit Kompatibilitaetsbibliothek fuer Dein System."
$de || echo "XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system."
exit
fi
;;
esac

To:

# XAMPP is currently 32 bit only
#case `uname -m` in
# *_64)
# if /opt/lampp/bin/php -v > /dev/null 2>&1
# then
# :
# else
# $de && echo "XAMPP gibt es zur Zeit nur als 32-Bit Applikation. Bitte verwende eine 32-Bit Kompatibilitaetsbibliothek fuer Dein System."
# $de || echo "XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system."
# exit
# fi
# ;;
#esac

Now run the following the start XAMPP:

sudo /opt/lampp/lampp startapache

but i have error to install lib.

i use this:
yum install compat-libstdc++-296-2.96-143.i686 glibc-2.12-2.i686 libgcc-4.4.4-2.fc13.i686

but i have error:
sample error:
[root@localhost hamed]# yum -y install libstdc++.i686
Loaded plugins: presto, refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
[root@localhost hamed]# yum -y install libgcc.i686
Loaded plugins: presto, refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
[root@localhost hamed]# yum -y install glibc.i686
Loaded plugins: presto, refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
[root@localhost hamed]#

[root@hamedfedora hamed]# yum install compat-libstdc++-296-2.96-143.i686
Loaded plugins: presto, refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again

[root@hamedfedora hamed]# yum install compat-glibc-2.12-2.i686
Loaded plugins: presto, refresh-packagekit
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again
hossxampp
 
Posts: 1
Joined: 24. June 2010 19:46

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests